package com.yifu.cloud.plus.v1.yifu.archives.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * C端登录处查系统用户数据
 * @author chenyuxi
 * @date 2024/10/15
 * @since mvp1.7.0
 */
@Data
public class EmpMainToCVo implements Serializable {

	private static final long serialVersionUID = 1L;

	@Schema(description = "预入职审核状态（0草稿；1待完善；2待审核；3审核不通过；4审核通过；5初始未保存）")
	private String preStatus;

	@Schema(description = "员工姓名")
	private String empName;

	@Schema(description = "身份证号")
	private String empIdcard;

	@Schema(description = "手机号码")
	private String empPhone;

	@Schema(description = "来源(0：在档，1：预入职，2：不在系统)")
	private String empFrom;
}
